extern void SysClockConfig(void);
#include "stm32f4xx.h"
#include "delay.h"
#include "math.h"
#include "stdlib.h"
#include "NEC.h"
#include "stdio.h"
#include "oled.h"
#include "i2c.h"





int main(void)
	{

	SCB->CPACR |= ((3UL << 10*2)|(3UL << 11*2)); /*Enable floating point unit*/
	SysClockConfig();
	systick_init_ms(64000000);
	NEC_Decoder_Init();
	SSD1306_Init();
	SSD1306_GotoXY(0,0);
	SSD1306_Puts("hello world",&Font_11x18,1);
	SSD1306_UpdateScreen();
	delay(2000);
	SSD1306_Clear();

	while(1)
		{
			if(decode_state()==decode_success)
				{
					if(get_system_state()){
					uint8_t data=read_command();
					char data_str[20];
					sprintf(data_str,"Code=0x%x",data);
					SSD1306_Clear();
					SSD1306_GotoXY(0,0);
					SSD1306_Puts(data_str,&Font_11x18,1);
					SSD1306_UpdateScreen();}


				}


		}

	}
